sunpy (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1. Closes: ##1058170
  * Rediff patches
  * Ignore Astropy warnings (Closes: #1055892)

 -- Ole Streicher <olebole@debian.org>  Sat, 03 Feb 2024 17:02:01 +0100

sunpy (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Rediff patches
  * Skip spiceypy tests if not availavbe
  * Skip more tests that need remote data

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Nov 2023 21:18:22 +0100

sunpy (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Sep 2023 21:07:17 +0200

sunpy (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0
  * Rediff patches
  * Remove unneeded minversion from py3-astropy build dep

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Jun 2023 21:26:07 +0200

sunpy (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 29 Jan 2023 14:04:43 +0100

sunpy (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * Rediff patches
  * Push Standards-Version to 4.6.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Jan 2023 09:54:51 +0100

sunpy (4.1.0-3) unstable; urgency=medium

  * Add python3-asdf-coordinates-schemas and python3-astropy-asdf
    to test dependencies
  * Also ignore matplotlib user warning

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Jan 2023 16:11:24 +0100

sunpy (4.1.0-2) unstable; urgency=medium

  * Ignore all divide-by-zero and all-nan warnings
  * Don't install asdtropy-asdf in CI tests: this package is buggy in sid

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Dec 2022 21:08:02 +0100

sunpy (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0. Closes: #1026004
  * Rediff patches
  * New build (test) dependency python3-pytest-xdist

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Nov 2022 10:18:58 +0100

sunpy (4.0.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata

  [ Ole Streicher ]
  * New upstream version 4.0.6
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 29 Oct 2022 11:06:34 +0200

sunpy (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5. Closes: #1020112
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 18 Sep 2022 13:39:51 +0200

sunpy (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed
  * Ignore UserWarning about deprecated distutils

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Aug 2022 13:11:44 +0200

sunpy (4.0.3-2) unstable; urgency=medium

  * Add one more healthcheck suppression

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jul 2022 12:34:25 +0200

sunpy (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Jul 2022 15:40:28 +0200

sunpy (4.0.2-2) unstable; urgency=medium

  * Flag another hypothesis flaky error on mips64el

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jun 2022 08:24:32 +0200

sunpy (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * Rediff patches
  * Ignore all deprecation warnings (Closes: #1013567)

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Jun 2022 08:17:05 +0200

sunpy (4.0.1-2) unstable; urgency=medium

  * Fix FTBFS on mipsel: Ignore runtime warnings for invalid values

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Jun 2022 08:56:32 +0200

sunpy (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Jun 2022 12:20:10 +0200

sunpy (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Rediff patches
  * Add opencv as (optional) test dependency
  * Add yaml schema files to package

 -- Ole Streicher <olebole@debian.org>  Tue, 10 May 2022 11:29:13 +0200

sunpy (3.1.6-1) unstable; urgency=medium

  * New upstream version 3.1.6
  * Rediff patches
  * Remove additional clean-up of install dir: resolved upstream

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Apr 2022 10:43:39 +0200

sunpy (3.1.5-1) unstable; urgency=medium

  * New upstream version 3.1.5
  * Rediff patches. Drop patches that were applied upstream.

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Mar 2022 14:12:15 +0100

sunpy (3.1.4-1) unstable; urgency=medium

  * New upstream version 3.1.4
  * Rediff patches
  * Explicitly specify empty warning for pytest
  * Fix GOES file loading with h5netcdf (Closes: #1006876)

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Mar 2022 17:54:57 +0100

sunpy (3.1.3-2) unstable; urgency=medium

  * Install test files unconditionally after build (Closes: #1005706)

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Feb 2022 08:06:25 +0100

sunpy (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jan 2022 09:57:20 +0100

sunpy (3.1.2-3) unstable; urgency=medium

  * Add python3-reproject to test dependencies

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Dec 2021 08:54:01 +0100

sunpy (3.1.2-2) unstable; urgency=medium

  * Ignore warnings that fail on MIPS or armel

 -- Ole Streicher <olebole@debian.org>  Thu, 09 Dec 2021 08:12:44 +0100

sunpy (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Rediff patches
  * Update build dependencies
  * Remove unnecessary versionized build deps
  * Skip test that depends on unavailable cdflib

 -- Ole Streicher <olebole@debian.org>  Mon, 06 Dec 2021 08:30:43 +0100

sunpy (3.0.1-4) unstable; urgency=medium

  [ Steffen Moeller ]
  * d/rules:
    - Do not install /usr/lib/python3/dist-packages/benchmarks/
       (Closes: #991981)
    - Respect DEB_BUILD_OPTIONS=nocheck
    - Improved clean to allow repeated builds
  * d/u/metadata: Added ref to conda

  [ Nilesh Patra ]
  * d/rules: Copy relevant directories in the build
    directory to get build-time tests pass

  [ Ole Streicher ]
  * Remove additional line on top of d/u/metadata
  * Ignore warnings about outdated h5py

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Sep 2021 11:47:37 +0200

sunpy (3.0.1-2) unstable; urgency=medium

  * Ignore "RuntimeWarning: invalid value encountered in multiply" in tests

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 22:55:19 +0200

sunpy (3.0.1-1) unstable; urgency=medium

  * New upstream version 3.0.1. Closes: #982397
  * Rediff patches
  * Switch back to unstable
  * Push Standards-Version to 4.6.0. No changes needed
  * Skip tests that use unavailable data

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Aug 2021 08:07:05 +0200

sunpy (2.1.0~rc3-1) experimental; urgency=medium

  * Add bug-closes-# to 2.1.0~rc1-1 changelog entry
  * New upstream version 2.1.0~rc3
  * Rediff patches
  * Fix WCS 7.4 related errors. Closes: #982397

 -- Ole Streicher <olebole@debian.org>  Wed, 10 Feb 2021 12:50:11 +0100

sunpy (2.0.7-1) unstable; urgency=medium

  * New upstream version 2.0.7
  * Rediff patches
  * Push Standards-Version to 4.5.1. No changes needed
  * Remove version.py: generated during build. Closes: #978280

 -- Ole Streicher <olebole@debian.org>  Sun, 17 Jan 2021 16:53:19 +0100

sunpy (2.1.0~rc1-2) experimental; urgency=medium

  * Add py3-h5netcdf to tests dependencies
  * Remove additional hypothesis check to fix failure on armel platform

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Dec 2020 13:21:13 +0100

sunpy (2.1.0~rc1-1) experimental; urgency=medium

  * New upstream RC version 2.1.0~rc1. Switch to experimental.
  * Rediff patches
  * Remove version.py: generated during build. Closes: #978280
  * Add py3-h5netcdf build dependency

 -- Ole Streicher <olebole@debian.org>  Sat, 19 Dec 2020 11:24:56 +0100

sunpy (2.0.5-1) unstable; urgency=medium

  * New upstream version 2.0.5

 -- Ole Streicher <olebole@debian.org>  Sat, 28 Nov 2020 12:59:52 +0100

sunpy (2.0.4-2) unstable; urgency=medium

  * Remove deadlines and too_slow health check for hypothesis tests
    failing on mipsel once more

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Nov 2020 21:37:53 +0100

sunpy (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 15 Nov 2020 11:45:38 +0100

sunpy (2.0.3-1) unstable; urgency=medium

  * New upstream version 2.0.3. Rediff patches
  * Update d/copyright

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Oct 2020 11:31:21 +0200

sunpy (2.0.2-1) unstable; urgency=medium

  * New upstream version 2.0.2. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 28 Sep 2020 13:26:10 +0200

sunpy (2.0.1-2) unstable; urgency=medium

  * Remove deadlines and too_slow health check for hypothesis tests
    failing on mips(64)el

 -- Ole Streicher <olebole@debian.org>  Sat, 27 Jun 2020 11:06:07 +0200

sunpy (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1. Rediff patches
  * Add new dependencies
  * Push dh-compat to 13
  * Add Rules-Requires-Root: no to d/control
  * Mark test that fails during build

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Jun 2020 11:30:19 +0200

sunpy (1.1.3-1) unstable; urgency=low

  * New upstream version 1.1.3. Rediff patches
  * Remove unneeded minversion from matplotlib build dep

 -- Ole Streicher <olebole@debian.org>  Sun, 03 May 2020 13:23:29 +0200

sunpy (1.1.2-1) unstable; urgency=medium

  * New upstream version 1.1.2. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 12 Apr 2020 15:44:21 +0200

sunpy (1.1.1-2) unstable; urgency=low

  * Helper function for testing closeness of longitudes to fix FTBFS

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Feb 2020 17:21:28 +0100

sunpy (1.1.1-1) unstable; urgency=low

  * New upstream version 1.1.1. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Feb 2020 10:56:18 +0100

sunpy (1.1.0-1) unstable; urgency=low

  * New upstream version 1.1.0. Closes: #947109
  * Rediff patches. Remove xfail mark for test fixed upstream
  * Push Standards-Version to 4.4.1. No changes needed
  * Call pytest in CI test
  * Fix Python version for requiring importlib_resources

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Jan 2020 13:18:02 +0100

sunpy (1.0.3-2) unstable; urgency=medium

  * Fix CI tests and test dependencies

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Aug 2019 16:37:18 +0200

sunpy (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3. Rediff patches. Closes: #934959
  * Update dependencies
  * Push Standards-Version to 4.4.0. No changes required
  * Push compat to 12. Remove d/compat
  * Remove unused paragraph from d/copyright

 -- Ole Streicher <olebole@debian.org>  Thu, 29 Aug 2019 20:28:30 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-sunpy`.
